.animate-spin {
    -moz-animation: spin 2s infinite linear;
    -o-animation: spin 2s infinite linear;
    -webkit-animation: spin 2s infinite linear;
    animation: spin 2s infinite linear;
    display: inline-block;
}

.animate-spinAntiClockwise {
    -moz-animation: spinAntiClockwise 2.5s infinite linear;
    -o-animation: spinAntiClockwise 2.5s infinite linear;
    -webkit-animation: spinAntiClockwise 2.5s infinite linear;
    animation: spinAntiClockwise 2.5s infinite linear;
    display: inline-block;
}

@keyframes flickerAnimation {
    0% {
         opacity:0;
    }
    50% {
         opacity:0;
    }
    100% {
         opacity:1;
    }
}

@keyframes loginButtonFlickerAnimation {
    0% {
         opacity:0;
    }
    70% {
         opacity: 0;
    }
    100% {
         opacity:1;
    }
}

@keyframes spin {
    0% {
        -moz-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -moz-transform: rotate(359deg);
        -o-transform: rotate(359deg);
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg);
    }
}

@keyframes spinAntiClockwise {
    0% {
        -moz-transform: rotate(359deg);
        -o-transform: rotate(359deg);
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg);
    }
    
    100% {
        -moz-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }    
}

@keyframes fadeOut {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

@keyframes fadein {
    0% {
        opacity: 0;
    }
    
    100% {
        opacity: 1;
    }    
}

@keyframes navigationColorChangeOnHover {
    0% {
        color: #cccccc;
    }
    
    100% {
        color: #ffffff;
    }    
}

@keyframes navigationColorDisolveOnLeave {
    0% {
        color: #ffffff;
    }
    
    100% {
        color: #cccccc;
    }    
}

@keyframes landingLoginExpandedButtonOnLeave {
    0% {
        color: #ffffff;
    }
    
    100% {        
        color: rgba(255, 255, 255, 0.4);
    }    
}